# Haworthia the Firework
![Haworthia the Firework](https://raw.githubusercontent.com/liujiacode/VioletPy/master/src/main/icons/full/icon_full_256.png)

[中文](https://eigenmiao.com/yanhuo/zh.html) | [English](https://eigenmiao.com/yanhuo/en.html) | [日本語](https://eigenmiao.com/yanhuo/ja.html)

Haworthia the Firework (焰火十二卷) is a free color editor. It is designed for generating a set of harmonious colors from color wheel or other places. You can share these colors with your friends, or apply them into your creative works.

# VioletPy
[VioletPy](https://eigenmiao.com/violetpy/) is the [source code](https://github.com/liujiacode/VioletPy) and [Python module](https://pypi.org/project/VioletPy/) for Haworthia the Firework. [Haworthia the Firework](https://eigenmiao.com/firework/) is the [software](https://sourceforge.net/projects/violetpy/) built from VioletPy.

# Repository
https://github.com/liujiacode/VioletPy

# Homepage
https://eigenmiao.com/violetpy/

# Author
[Eigenmiao](mailto:eigenmiao@outlook.com)

# Installation
## Current Release
The latest preview version is [v2.4.9](https://github.com/liujiacode/VioletPy/releases/tag/v2.4.9-pre).

## More Information
Visit https://eigenmiao.com/violetpy/ for software downloads, modules, tutorials, and more information.

# Development
## Install Requirements
* Python 3.6
* Git version control system
* Additional modules listed in requirements

## Build Softwares
```bash
# Download the VioletPy source code.
git clone https://github.com/liujiacode/VioletPy.git
# Change into the directory.
cd VioletPy
# Create executable files.
fbs freeze
# Create installers.
fbs installer
```

## Build Modules
```bash
# Download the VioletPy source code.
git clone https://github.com/liujiacode/VioletPy.git
# Change into the directory.
cd VioletPy
# Copy the VioletPy project into module directory (optional).
cp -r "src" "violetpy/"
# Generate modules.
python setup.py sdist --formats=gztar,zip
```

# Copyright
Copyright (c) 2019-2022 [Eigenmiao](mailto:eigenmiao@outlook.com). All Rights Reserved.

# License
VioletPy is a free software, which is distributed in the hope that it will be useful, but without any warranty. You can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation. See the [GNU General Public License 3.0 (GPL 3.0)](https://www.gnu.org/licenses/) for more details.

All images (including logo and sample images, etc.), documents and translations in VioletPy [code repository](https://github.com/liujiacode/VioletPy) are licensed under [Creative Commons Attribution-NonCommercial-ShareAlike License 4.0 (CC BY-NC-SA 4.0)](https://creativecommons.org/licenses/by-nc-sa/4.0/) unless stating additionally.

VioletPy default uses [Noto Serif](https://fonts.google.com/specimen/Noto+Serif) ([SC](https://fonts.google.com/specimen/Noto+Serif+SC)) fonts and [Noto Sans](https://fonts.google.com/specimen/Noto+Sans) ([SC](https://fonts.google.com/specimen/Noto+Sans+SC)) fonts for interface display, which are designed by Google and published in website [Google Fonts](https://fonts.google.com/). These fonts are open-sourced under [Apache 2.0](http://www.apache.org/licenses/) and [SIL Open Font License 1.1](http://scripts.sil.org/OFL), respectively.

# Acknowledgment
* VioletPy is constructed based on [PyQt5](https://www.riverbankcomputing.com/software/pyqt/) and packed up by [fbs (free edition)](https://build-system.fman.io/).
* The localization (l10n) and internationalization (i18n) of VioletPy is based on [Google Translate](https://translate.google.cn/) and [Microsoft Translator](https://cn.bing.com/translator), deployed on [POEditor](https://poeditor.com/join/project?hash=kBeQjfxCES).
