# -*- coding: utf-8 -*-

"""
Haworthia the Firework (VioletPy) is a free software, which is distributed 
in the hope that it will be useful, but WITHOUT ANY WARRANTY. You can 
redistribute it and/or modify it under the terms of the GNU General Public 
License as published by the Free Software Foundation. See the GNU General 
Public License for more details.

Please visit https://github.com/liujiacode/VioletPy for more 
infomation about VioletPy.

Copyright (c) 2019-2022 by Eigenmiao. All Rights Reserved.
"""

from setuptools import setup


setup(
    name="VioletPy",
    version="2.4.9",
    author="Eigenmiao",
    author_email="eigenmiao@outlook.com",
    description="Generate harmonious colors freely.",
    long_description=open("README.md", "r", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://eigenmiao.github.io/violetpy/",
    classifiers=[
        "Topic :: Multimedia :: Graphics",
        "Topic :: Utilities",
        "Development Status :: 3 - Alpha",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Programming Language :: Python :: 3",
        "Operating System :: Microsoft :: Windows",
        "Operating System :: POSIX",
        "Environment :: X11 Applications",
        "Intended Audience :: End Users/Desktop",
        "Intended Audience :: Other Audience",
        "Natural Language :: Chinese (Simplified)",
        "Natural Language :: English",
    ],
    keywords=["Color-Editor", "Color-Picker", "Color-Palette", "Digital-Palette", "PyQt5", "Desktop-Application"],
    install_requires=[
        "PyQt5",
        "Pillow",
        "fbs",
        "lxml",
        "numpy",
        "swatch",
    ],
    python_requires=">=3.5",
    entry_points={
        "console_scripts": [
            "violetpy = violetpy.violetpy:startup",
        ],
        "gui_scripts": [
            "violetpy-gui = violetpy.violetpy:startup",
        ],
    },
    include_package_data=True,
    packages=["violetpy"],
    package_data={
        "violetpy": [
            "violetpy/*",
        ],
    }
)
