# -*- coding: utf-8 -*-

"""
DigitalPalette is a free software, which is distributed in the hope 
that it will be useful, but WITHOUT ANY WARRANTY. You can redistribute 
it and/or modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation. See the GNU General Public 
License for more details.

Please visit https://github.com/liujiacode/DigitalPalette for more 
infomation about VioletPy.

Copyright (c) 2019-2021 by Eigenmiao. All Rights Reserved.
"""

def check_key(name):
    """
    Check the name of keymap.
    """

    if isinstance(name, str):
        if name == "+":
            return name

        else:
            nsplit = name.split("+")

            if len(nsplit) == 1:
                if nsplit[0] and nsplit[0] in [i.upper() for i in [chr(32 + i) for i in range(95)]] + ["Space", "Tab", "Esc", "Up", "Down", "Left", "Right", "PgUp", "PgDown", "Home", "End", "Insert", "Del"] + ["F{}".format(i + 1) for i in range(12)]:
                    return name

            elif len(nsplit) == 2:
                if nsplit[0] and nsplit[1] and nsplit[0] in ("Shift", "Alt", "Ctrl") and nsplit[1] in [i.upper() for i in [chr(32 + i) for i in range(95)]] + ["Space", "Tab", "Del", "Insert"]:
                    return name

    return None

def check_file_name(name):
    """
    Parse string without special chars for file name.
    """

    name_stri = ""
    allow_chars = [chr(48 + i) for i in range(10)] + [chr(65 + i) for i in range(26)] + [chr(97 + i) for i in range(26)] + ["(", ")", "[", "]", "_", "-", "+", "=", ".", ",", " "]

    for stri in str(name):
        if stri in allow_chars:
            name_stri = name_stri + stri

    return name_stri.lstrip().rstrip()

def check_nonempt_str_lst(str_lst):
    """
    Parse not empty string list.
    """

    fmt_lst = []

    if isinstance(str_lst, (tuple, list)):
        for vl in str_lst:
            str_vl = check_file_name(vl)

            if str_vl:
                fmt_lst.append(str_vl)

    return tuple(fmt_lst)
